decode
| RivetEntities |

## Name

decode — decode an SGML encoded string replacing every entity with the corresponding character

## Synopsis

::rivet::decode string ?-encoding `<encoding>`?

## Description

::rivet::decode implements the inverse function of ::rivet::encode. The input string is scanned searching and replacing every SGML entity with its corresponding character. By default the command assumes the output string has to be encoded in UTF-8. Other encodings are supported by passing the -encoding <encoding> argument.

encode |  | AsciiGlyphs